Last updated

API / geotoolkit / map / sources / formats / WMSTile / WMSTile

Class: WMSTile

formats.WMSTile.WMSTile

WMSTile source format that formats tile queries to the WMS (Web Map Service) server

Hierarchy

Table of contents

Constructors
Methods

Contents

Constructors

new WMSTile(options)

new WMSTile(options?)

Creates format

Parameters

Name Type Description
Optional optionsOptionsoptions

Inherited from

Tile.constructor

Methods

abort

abort(key?): WMSTile

Aborts all previous requests

Parameters

Name Type Description
Optional keystringkey of the connections to abort (all connections aborted if nothing provided)

Returns

WMSTile

this

Inherited from

Tile.abort


clone

clone(): AbstractFormat

All subclasses should override copyConstructor or provide custom implementation for this method

Returns

AbstractFormat

clone

Inherited from

Tile.clone


cloneQueryParameters

cloneQueryParameters(format): WMSTile

Copies query parameters from another format

Parameters

Name Type Description
formatAbstractFormatformat to clone parameters

Returns

WMSTile

this

Inherited from

Tile.cloneQueryParameters


copyConstructor

Protected copyConstructor(src, deepCopy?): WMSTile

Copy constructor function.
Function used as part of the cloning mechanism.
Implementations should copy the given instance state to this instance.

Parameters

Name Type Description
srcAbstractFormatSource to copy from
Optional deepCopybooleandeep copy

Returns

WMSTile

this

Inherited from

Tile.copyConstructor


dispose

dispose(): void

Dispose.

Returns

void

Inherited from

Tile.dispose


getClassName

getClassName(): string

Returns

string

Inherited from

Tile.getClassName


getConnector

getConnector(): AbstractConnector<any>

Gets connector

Returns

AbstractConnector<any>

connector

Inherited from

Tile.getConnector


getFormatter

getFormatter(): FormatterCallback

Gets the current formatter function

Returns

FormatterCallback

Inherited from

Tile.getFormatter


hasEventListener

hasEventListener(type, callback?): boolean

Check if a list of event listeners for this type contains this listener

Parameters

Name Type Description
typestringtype of event or property
Optional callbackFunctionto be called, if null, check if any callback is registered

Returns

boolean

Inherited from

Tile.hasEventListener


isDisposed

isDisposed(): boolean

Returns whether this object has been disposed

Returns

boolean

Inherited from

Tile.isDisposed


isLoading

isLoading(): boolean

Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.

Returns

boolean

Inherited from

Tile.isLoading


isSilent

isSilent(): boolean

Return true if the event dispatcher doesn't notify any events

Returns

boolean

Inherited from

Tile.isSilent


notify

notify<E>(type, source, args?): WMSTile

Notify listeners

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEevent types
sourceTileof the event
Optional argsEventMap[E]arguments of the event

Returns

WMSTile

this

Inherited from

Tile.notify


off

off<E>(type?, callback?): WMSTile

Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
Optional typeEtype of the event
Optional callback(eventType: E, sender: WMSTile, args: EventMap[E]) => voidfunction to be called

Returns

WMSTile

this

Inherited from

Tile.off


on

on<E>(type, callback): WMSTile

Attach listener on event that will be called whenever the specified event is delivered to the target

If the callback function is already in the list of event listeners for this target, the function is not added a second time.

If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEtype of event or property
callback(eventType: E, sender: WMSTile, args: EventMap[E]) => voidto be called

Returns

WMSTile

this

Inherited from

Tile.on


parse

parse(data): WMSTile

Parses the data provided and notifies about the result. Is used in the default query implementation.

Parameters

Name Type Description
datastring | ArrayBuffer | Blob | Image | string[][] | JSONObject | XMLDocumentdata object or its string representation

Returns

WMSTile

this

Inherited from

Tile.parse


query

query(query): WMSTile

Sends a request based on a settings provided That's a basic implementation for the file requests. Implement parse method to use it or override this method directly.

Parameters

Name Type Description
queryQueryquery params

Returns

WMSTile

this

Inherited from

Tile.query


setFormatter

setFormatter(formatter): WMSTile

Sets the formatter function

Parameters

Name Type Description
formatterFormatterCallbackformatter function

Returns

WMSTile

this

Inherited from

Tile.setFormatter


setQueryParameter

setQueryParameter(param, value): WMSTile

Sets the query parameter to add to the data requests

Parameters

Name Type Description
paramstringparameter name
valuestring | number | booleanparameter value

Returns

WMSTile

this

Inherited from

Tile.setQueryParameter


setSilent

setSilent(bool): WMSTile

Set silent mode

Parameters

Name Type Description
boolbooleanflag to enable silent mode

Returns

WMSTile

this

Inherited from

Tile.setSilent


getClassName

Static getClassName(): string

Returns

string

Inherited from

Tile.getClassName